$screen-sm-min: 599px;
$screen-md-min: 959px;
$screen-lg-min: 1279px;
$screen-xl-min: 1919px;

@mixin xs {
  @media screen and (max-width: #{$screen-sm-min}) {
    @content;
  }
}

@mixin xs-landscape {
  @media screen and (orientation: landscape) and (max-height: #{$screen-sm-min}) {
    @content;
  }
}

@mixin lt-sm {
  @media screen and (max-width: #{$screen-sm-min}) {
    @content;
  }
}

@mixin lt-md {
  @media screen and (max-width: #{$screen-md-min}) {
    @content;
  }
}

@mixin lt-lg {
  @media screen and (max-width: #{$screen-lg-min}) {
    @content;
  }
}

@mixin lt-xl {
  @media screen and (max-width: #{$screen-xl-min}) {
    @content;
  }
}

@mixin gt-md {
  @media screen and (min-width: #{$screen-lg-min}) {
    @content;
  }
}
